<template>
	<view>
		<view class="tab">
			<u-tabs :list="tab" @click="click" :lineHeight="5"></u-tabs>
		</view>
		<view class="goodsList">
			<view class="item" v-for="(item, index) in list" :key="index" @click="detail(item)">
				<view class="title">{{ item.borderName }}
					<view class="state" v-if="item.finishStatus == 1 && item.upStatus == 1">
						<text class="icon" style="color:#13ce66">&#xe830;</text>
						<text>待上架</text>
					</view>
					<view class="state" v-if="item.finishStatus == 1 && item.upStatus == 2&&item.resaleStatus == 0">
						<text class="icon" style="color:#13ce66">&#xe830;</text>
						<text>已上架</text>
					</view>
					<view class="state" v-if="item.resaleStatus == 1&& item.upStatus == 2">
						<text class="icon" style="color: #13ce66">&#xe830;</text>
						<text>已转售</text>
					</view>
				</view>
				<view style="margin-bottom: 9px;width: 80%;font-size: 18px;">{{ item.enterpriseName }}</view>
				<!-- <image src="../../../../static/news.jpg" mode="aspectFill" class="pic"></image> -->
				<view class="con">
					<view class="productName omit">{{ item.goodsNames }}</view>
					<view class="desc omit">
						<text>重量 {{ item.totalWeight }}{{ item.goodsUnit }}</text>
						<text>{{ item.veNo }}</text>
					</view>
					<view class="price">
						<span>申报金额 ¥ {{ item.totalPrice }}</span>
						<span v-if="item.upPrice&&item.upStatus==2" style="margin-left: 16px;">上架金额 ¥ {{ item.upPrice }}</span>
					</view>
				</view>
				<view class="clear"></view>
				<view class="op">
					<view class="date">{{ item.createTime }}</view>
					<template v-if="item.finishStatus == 1 && item.upStatus != 2">
						<view class="an down_btn" style="background-color: #3c9cff;color: white;" @click.stop="resale(item)">上架</view>
					</template>

					<!-- <template v-if="item.resaleStatus == 0 && item.beingOrder == 0&& item.upStatus == 2"> -->
					<template v-if="item.resaleStatus == 0 && item.beingOrder == 0&& item.upStatus == 2&&item.finishStatus==1">
						<view class="an down_btn" @click.stop="downOrder(item)">下架</view>
					</template>
				</view>
			</view>
			<view class="loading" v-if="loadMore"><u-loadmore :status="loadMore ? 'loading' : 'nomore'" /></view>
			<u-empty v-if="!loadMore && list.length == 0"></u-empty>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				user: {},
				tab: [{
						name: '全部',
						peopleConfirmStatus: '', //边民确认状态
						cooperEntrustStatus: '', //互助委托申报确认状态
						applyConfirmStatus: '', //进口申报确认状态
						finishStatus: 1, //订单完成状态
						resaleStatus: '' //订单转售状态
					},
					{
						name: '待上架',
						finishStatus: 1,
						resaleStatus: 0,
						upStatus: 1
					},
					{
						name: '已上架',
						finishStatus: 1,
						resaleStatus: 0,
						upStatus: 2
					},
					{
						name: '已转售',
						finishStatus: 1,
						resaleStatus: 1,
						upStatus: 2
					}
				],
				param: {
					pageNo: 1,
					pageSize: 10,
					finishStatus:1
				},
				list: [],
				loadMore: true,
				id: '',
				flag: '',
			};
		},
		onLoad() {
			this.user = this.getUser()
			uni.$on('face', res => {
				if (this.flag == 1) {
					this.http.request({
						url: '/level-one-server/app/TbOrder/confirmOrder',
						data: {
							orderId: this.id
						},
						success: resp => {
							uni.showToast({
								title: '订单确认成功'
							});
							this.refresh();
						}
					});
				} else if (this.flag == 2) {
					this.http.request({
						url: '/level-one-server/app/TbOrder/applyOrder',
						data: {
							orderId: this.id
						},
						success: resp => {
							uni.showToast({
								title: '进口申报确认成功'
							});
							this.refresh();
						}
					});
				}
			})
		},
		onShow() {
			this.getData();
		},
		methods: {
			downOrder(item) {
				uni.showModal({
					title: '提示',
					content: '确定下架？',
					success: res => {
						if (res.confirm) {
							this.http.request({
								url: '/level-one-server/app/TbOrder/down',
								data: {
									id: item.id
								},
								success: res => {
									uni.showToast({
										title: '提交成功'
									});
									item.upStatus = 1;
								}
							});
						}
					}
				});
			},
			getData() {
				this.http.request({
					url: '/level-one-server/app/TbOrder/getList',
					loading: 'false',
					data: this.param,
					success: res => {
						this.loadMore = parseInt(res.data.pageCount) > this.param.pageNo;
						if (res.data.data) {
							this.list = res.data.data;
							console.log("---1---=" + this.list[0].finishStatus)
							console.log("---2---=" + this.list[0].resaleStatus)
						}
					}
				});
			},
			// 点击tab切换
			click(e) {
				console.log(e);
				this.param.peopleConfirmStatus = e.peopleConfirmStatus;
				this.param.cooperEntrustStatus = e.cooperEntrustStatus;
				this.param.applyConfirmStatus = e.applyConfirmStatus;
				this.param.finishStatus = e.finishStatus;
				this.param.resaleStatus = e.resaleStatus;
				this.param.upStatus = e.upStatus;
				this.refresh();
			},
			detail(item) {
				uni.navigateTo({
					url: '/pages/market/one/leader/detail?id=' + item.id
				});
			},
			resale(item) {
				uni.navigateTo({
					url: '/pages/market/two/leader/resale?item=' + JSON.stringify(item)
				});
			},
			orderRefund(id) {
				this.http.request({
					url: '/level-one-server/app/TbOrder/orderRefund',
					data: {
						id: id
					},
					method: 'POST',
					success: resp => {
						uni.showToast({
							title: '操作成功'
						});
						this.refresh();
					}
				});
			},
			updateResalePrice(id) {
				uni.navigateTo({
					url: '/pages/market/two/leader/updatePrice?id=' + id
				});
			},
			// 刷新数据
			refresh() {
				this.loadMore = true;
				this.param.pageNo = 1;
				this.list = [];
				this.getData();
			}
		},
		//下拉刷新
		onPullDownRefresh() {
			setTimeout(() => {
				this.refresh();
				uni.stopPullDownRefresh();
			}, 1000);
		},
		//上拉加载
		onReachBottom() {
			if (this.loadMore) {
				this.param.pageNo++;
				this.getData();
			}
		}
	};
</script>

<style lang="scss">
	page {
		background-color: $pg;
	}
.goodsList .item .con {
    width: 97%;
}
	.state {
		margin-right: -70px;
	}

	.down_btn {
		color: #f0f4f7;
		width: 44px;
		background: #f9ae3d;
		text-align: center;
		border-radius: 10px;
		font-size: 12px;
		padding: 2px 5px;
	}
</style>
